This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 48368 - TUI installer rejects "Red Hat Linux" as a boot label -- even though that is the default
TUI installer rejects "Red Hat Linux" as a boot label -- even though that is ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-10 10:41 EDT by Panic
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 11:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-07-10 10:41:23 EDT
Description of Problem: 

Running through the TUI installation, on the BootLoader Configuration
Screen, there is the option to edit the Boot Label.  However, the default
Boot Label, "Red Hat Linux", is not acceptable to this change dialog -- the
error returned is Invalid Boot Label: Boot lable contains illegal
characters (I'm assuming this means spaces).


How Reproducible: 

Always

Steps to Reproduce:

1. Attempt to edit the Boot Label on the Boot Loader Configuration screen
2. Try to enter in any label that has spaces in it, like the default
3. enjoy the error message

Actual Results:

Error "Boot label contains illegal characters"

Expected Results:

Change of boot label to the label I specify with spaces in it, like the
default.

Additional Information:

If the default can have spaces, why can't the label that I specify have
spaces?  Is the default label invalid? :)  It would also be useful for the
error message to say *which* characters are invalid, but that's icing on
the cake -- I don't think anyone cares enough to bother about that.
Comment 1 Jeremy Katz 2001-07-10 15:34:01 EDT
Should be fixed in the current tree

Note You need to log in before you can comment on or make changes to this bug.